%define name    tellico
%define pre   %nil
%define version 1.2.8
%define release %mkrel 1
%define iconname %{name}.png


Summary: A book collection manager
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:  Databases
Source: http://www.periapsis.org/tellico/download/%{name}-%{version}.tar.bz2
Patch0: tellico-1.2pre3-desktop.patch
URL: http://www.periapsis.org/tellico
Epoch: 1
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: kdebase
Requires: kdemultimedia-kscd
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: kdelibs-devel libxslt-devel >= 1.0.19
BuildRequires: ImageMagick
BuildRequires: chrpath
BuildRequires: taglib-devel
BuildRequires: libkdemultimedia-common-devel kdepim-devel
BuildRequires: libcdda-devel
BuildRequires: yaz-devel
BuildRequires: tcp_wrappers-devel 
Obsoletes: bookcase
Provides: bookcase
 

%description
Tellico is a KDE application for keeping track of your book collection.

Features:

o Supports collections of books, bibliographic entries, videos, or music. 
o Supports any number of user-defined fields, of eight different types:
   o text, paragraph, list, checkbox, year, URL
   o tables of one or two columns.
o Handles books with multiple authors, genres, keywords, etc.
o Automatically formats titles and names
o Supports collection searching and view filtering
o Sorts and groups collection by various properties
o Automatically validates ISBN
o Allows customizable output through XSLT
o Imports Bibtex, Bibtexml, and CSV
o Exports to Bibtex, Bibtexml, CSV, and HTML
o Includes translations for more than nine languages, other than English
o Imports information directly from Amazon.com
   (US, Japan, Germany, and United Kingdom)
o Imports CDDB data
o Scans and imports audio file collections, such as mp3 or ogg
o Imports and exports to Alexandria libraries

%prep
 
%setup -q -n %{name}-%{version}
%patch0 -p1 

%build 

%configure2_5x --disable-debug --disable-rpath --with-xinerama 

%make

%install
rm -Rf %{buildroot} 
%makeinstall_std
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert icons/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert icons/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert icons/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

kdedesktop2mdkmenu.pl tellico "More Applications/Databases" %buildroot/%_datadir/applications/kde/tellico.desktop                             %buildroot/%_menudir/tellico 
 
#rm  zero-length file
rm -f %buildroot/%{_datadir}/doc/HTML/*/tellico/customization.docbook

%find_lang %{name}

%post
%{update_menus}
%{update_desktop_database}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_icon_cache hicolor}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL TODO
%doc %dir %{_datadir}/doc/HTML/*/tellico/*
%{_bindir}/* 
%{_datadir}/applications/kde/tellico.desktop
%{_datadir}/mimelnk/application/x-tellico.desktop 
%{_datadir}/apps/%{name}/
%{_datadir}/apps/kconf_update/tellico-rename.upd
%{_datadir}/apps/kconf_update/tellico.upd
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_iconsdir}/*/*/*  



%changelog
* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 1.2.8-1mdv2007.0
+ Revision: 116501
- Update to 1.2.8

* Thu Dec 07 2006 Lenny Cartier <lenny@mandriva.com> 1:1.2.7-1mdv2007.1
+ Revision: 91931
- Update to 1.2.6

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - New version 1.2.6
    - import tellico-1.2.3-1mdv2007.0


* Mon Sep 25 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.3-1mdv2007.0
- 1.2.2

* Fri Sep 08 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.2 (bugfix release for the bugfix release)

* Thu Sep 07 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2.1-1mdv2007.0
- 1.2.1 (bugfix release)

* Fri Sep 01 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-1mdv2007.0
- 1.2 final

* Mon Aug 21 2006 Charles A Edwards <eslrahc@mandriva.org> 1:1.2-0.1pre3mdv2007.0
- 1.2pre3
- adjust BR and R
- add desktop patch to change exec
- don't rm buildroot in prep
- use  post postun database marco and icon cache

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-4mdv2007.0
- leave the major off the BR

* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-3mdv2007.0
- fix requires
- add cddb support

* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 1.1.6-2mdv2007.0
- use mkrel
- Put all collection mgrs Databases

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 1.1.6-1mdk
- 1.1.6

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.5-1mdk
- New release 1.1.5

* Tue Apr 04 2006 Lenny Cartier <lenny@mandriva.com> 1.1.4-1mdk
- 1.1.4

* Mon Mar 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.3-1mdk
- New release 1.1.3

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1.2-1mdk
- New release 1.1.2

* Tue Feb 28 2006 Jerome quelin <jquelin@gmail.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdk
- fix buildrequires (#19288)

* Wed Jan 25 2006 Lenny Cartier <lenny@mandriva.com> 1.0.3-1mdk
- 1.0.3

* Mon Oct 03 2005 Lenny Cartier <lenny@mandriva.com> 1.0.2-1mdk
- 1.0.2

* Sun Oct 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.13.8-2mdk
- BuildRequires fix

* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.13.8-1mdk
- 0.13.8

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.13.7-1mdk
- 0.13.7

* Sun Apr 10 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.6-1mdk
- 0.13.6

* Wed Mar 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.5-1mdk
- 0.13.5

* Mon Feb 28 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.4-1mdk
- 0.13.4

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.2-1mdk
- 0.13.2
- buildrequires

* Tue Jan 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.1-1mdk
- 0.13.1

* Tue Oct 19 2004 Charles A Edwards <eslrahc@mandrake.org> 0.12-1mdk
- Renamed to Tellico because of trademark conflict. 
  Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sat Sep 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11-1mdk
- 0.11
- update feature list
- add support for CDDB and audio file metadata
- buildrequires

* Tue Aug 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- 0.10

* Thu Jun 24 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-1mdk
- 0.9.3
- reenable libtoolize
- patch for gcc3.4

* Sat May 15 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.1-1mdk
- 0.9.1

* Tue Apr 20 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-1mdk
- 0.9

* Mon Apr 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-0.pre1.1mdk
- 0.9pre1

* Thu Apr 01 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-1mdk
- 0.8.5

* Sun Feb 22 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.4-1mdk
- 0.8.4

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix menu entry

* Sat Feb 07 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.3-1mdk
- 0.8.3

* Wed Feb 04 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.1-1mdk
-08.1

* Sun Jan 25 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8-0.pre1.1mdk
- 0.8pre1
- enable support for Xineram
- fix menu

* Mon Nov 17 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7.1-1mdk
- 0.7.1

* Mon Nov 17 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7-1mdk
- 0.7
- add marco iconname
- use /bin/true
- add BuildRequire ImageMagick and use for icons
- add feature list
- use make marco
- no need to mkdir /pics it's auto done
- use kdedesktop2mdkmenu for menu
- rm man listing as it does not exist
- use %doc %dir for HTML listing

